OPENNEBULA(1)

NAME
OpenNebula - OCCI Manage Storage

SYNOPSIS
occi-storage <COMMAND> [OPTIONS] [PARAMETERS]

DESCRIPTION
occi-storage - Manages OCCI storage resource

OPTIONS
--help, -h

    Show help

--username <id>, -U <id>

    The username of the user

--password <key>, -P <key>

    The password of the user

--url <url>, -R <url>

    Set url as the web service url to use

--timeout <seconds>, -T <seconds>

    Sets a timeout for the http connection

--debug, -D

    Enables verbosity

--multipart, -M

    Use 'multipart-post' library instead of Curb/Curl

--verbose

    Show resources in verbose mode

--plain

    The password provided will not be hashed

COMMANDS

create <occi xml file>

    creates a new storage resource described by the provided <occi xml file>

list

    lists available storage resources

show <storage id>

    retrieves the OCCI XML representation of the storage resource identified by <storage id>

update <occi xml file>

    updates the representation of the storage resource represented by the provided <occi xml file>

delete <storage id>

    deletes the storage resource idenfitied by <storage id>

clone <storage id> <name>

    clones the storage resource idenfitied by <storage id> in a new one using the given <name>

COPYRIGHT
Copyright 2002-2012, OpenNebula Project Leads (OpenNebula.org)

Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0